import { RunumService } from '../services/runum.service';
import { CreateTxnRunumDto } from '../dto/create-txn-runum.dto';
import { UpdateTxnRunumDto } from '../dto/update-txn-runum.dto';
export declare class RunumController {
    private readonly runumService;
    constructor(runumService: RunumService);
    create(dto: CreateTxnRunumDto): import("../../../generated/prisma/models").Prisma__TxnRunumClient<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }, never, import("@prisma/client/runtime/client").DefaultArgs, {
        omit: import("../../../generated/prisma/internal/prismaNamespace").GlobalOmitConfig | undefined;
    }>;
    findAll(): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }[]>;
    findOne(id: string): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    } | null>;
    update(id: string, dto: UpdateTxnRunumDto): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }>;
    remove(id: string): Promise<{
        id: string;
        createdAt: Date;
        modifiedAt: Date;
        runumId: string;
        reset: string;
        nid: number;
    }>;
    next(runumId: string, reset: string): Promise<number>;
}
